package com.eactive.eai.adapter.socket2.protocol.snmp;

import com.eactive.eai.adapter.socket2.protocol.ISocketAdapter;
import org.apache.mina.common.IoHandlerAdapter;
import org.apache.mina.common.IoSession;


public class SnmpHandler extends IoHandlerAdapter {
	public SnmpHandler(ISocketAdapter adapter) {
		//super(adapter);
	}
	
	public SnmpHandler() {
	}
	
	@Override
	public void sessionOpened(IoSession session) throws Exception {
//		System.out.println("SnmpHandler | session opened.");
	}

	@Override
	public void sessionClosed(IoSession session) throws Exception {
//		System.out.println("SnmpHandler | session closed.");		
		session.close();
	}

	@Override
	public void messageReceived(IoSession session, Object message) throws Exception {
//		System.out.println("SnmpHandler | message received. - ");
	}

	@Override
	public void messageSent(IoSession session, Object message) throws Exception {
//		System.out.println("SnmpHandler | message sent.");
	}

	@Override
	public void exceptionCaught(IoSession session, Throwable cause) throws Exception {
//		System.out.println("SnmpHandler | exception caught.");
	}
}
